## Environment for release

### RELEASE

release环境
用户:root
密钥:cloudam
中文环境服务器地址:47.75.104.171 47.75.109.136
英文环境服务器地址:47.57.235.86 47.57.236.88

#### 网页链接

官网
<http://47.75.104.171/v2/pages/login-page>
管理后台(旧)
<http://47.75.104.171/v2/admin-page/login-page>
运营管理后台
<http://47.75.104.171:10000/login>
私有化管理后台
<http://47.75.104.171:10003/v2/admin-page/index>

#### 数据库

47.75.104.171:27017
database:intelligroup/data
user:user
password:123
在服务器内登陆
docker exec -it `docker ps |grep staging-mongodb |awk '{print $1}'` bash
mongo intelligroup -uuser -p123
mongo data -uuser -p123

#### 查看服务日志

```
cd /data/logs/c3-ce-app
tail -n 500 error.log
```

#### 编译打包发布

编译服务器地址:112.74.13.2
用户:root
密钥:cloudam

- 进入编译目录

```
cd /root/release
```

- 发布后端
  1.maven打包 只需要执行一次
  2.打包docker镜像 执行需要发布的服务
  3.发布 只需要执行一次 中英文环境一起发布

```
./build.sh
./build_ce.sh
./deploy.sh
```

- 发布前端
  1.打包docker镜像 执行需要发布的服务
  2.发布 只需要执行一次 中英文环境一起发布

```
./build_web_cn.sh
./deploy.sh
```