## Environment for dev

### dev环境

中文环境服务器地址:47.57.4.97 英文环境服务器地址:47.75.109.159 英文版替换对应ip 用户:root 密钥:cloudam

#### 网页链接

- 官网 <p>
  http://47.57.4.97/v2/pages/login-page

- 管理后台(旧)<p>
  http://47.57.4.97/v2/admin-page/login-page

- 运营管理后台<p>
  http://47.57.4.97:10000/login

- 私有化管理后台<p>
  http://47.57.4.97:10003/v2/admin-page/index

#### 数据库

47.57.4.97:27017 database:intelligroup/data <p>
user:user password:123

在服务器内登陆

```shell
 docker exec -it `docker ps |grep staging-mongodb |awk '{print $1}'`
 bash mongo intelligroup -uuser -p123 mongo data -uuser -p123
```

#### 查看服务日志

```shell
cd /data/logs/c3-ce-app
tail -n 500 error.log
```

#### 编译打包发布

编译服务器地址:112.74.13.2 用户:root 密钥:cloudam

- 进入编译目录

```shell
cd /root/cloudam
```

- 发布后端

  1.maven打包 只需要执行一次 <p>
  2.打包docker镜像 执行需要发布的服务 <p>
  3.发布 只需要执行一次 中英文环境一起发布<p>

```
./build.sh
./build_ce.sh
./deploy.sh
```

- 发布前端 
  1.打包docker镜像 执行需要发布的服务<p> 
  2.发布 只需要执行一次 中英文环境一起发布<p>

```
./build_web_cn.sh
./deploy.sh
```